### Class

# Pos Output

#### Description [src]

    final class Pos.Output : GObject.Object
    {
      /* No available fields */
    }

An output.

#### Ancestors

- GObject

#### Constructors

###### pos_output_new

No description available.

#### Instance methods

###### pos_output_get_logical_height

No description available.

###### pos_output_get_logical_pixel_size

No description available.

###### pos_output_get_logical_width

No description available.

###### pos_output_get_transformed_phys_height

Get the height of the output taking the current transform into account. So when the output is flipped 90⁰ the return value will be the physical width.

###### pos_output_get_transformed_phys_width

Get the height of the output taking the current transform into account. So when the output is flipped 90⁰ the return value will be the physical height.

###### pos_output_is_portrait

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Pos.Output:wl-output

No description available.

#### Signals

###### Pos.Output::configured

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PosOutputClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.